%define name kimon
%define version 1.1
%define release 3mdk

Summary: %{name} - a isdn monitor for KDE.
Summary(fr):  %{name} - gre une liaison idsn.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp://ftp.kde.org/pub/kde/stable/1.1.1/apps/utils/%{name}-%{version}.tar.bz2
Copyright: GPL
Group: Monitoring
BuildRoot: /var/tmp/%{name}-buildroot
Prefix: %{_prefix}
Requires: kdebase >= 1.1.2 qt >= 1.44

%description
This is Version 1.1 of kimon, a ISDN-Monitor for the KDE Desktop
Environment. This program opens a small window in the taskbar showing
the status of two ISDN-channels.

%description -l fr
Kimon permet de grer et surveiller une liaison isdn (numeris) via KDE. Kimon
ouvre une petite fentre dans la barre des tches montrant l'tat des canaux
numeris.

%prep
%setup -q

%build
libtoolize --force
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
  ./configure --with-install-root=$RPM_BUILD_ROOT/
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix="$RPM_BUILD_ROOT/%{prefix}"

rm -rf $RPM_BUILD_ROOT/usr/share/applnk
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
cat <<EOF >$RPM_BUILD_ROOT/usr/lib/menu/%{name}
?package(%{name}):command="kimon" icon="kimon.xpm" needs="x11" section="Applications/Monitoring" title="Kimon" longtitle="Kimon (ISDN Monitor)"
EOF

cd $RPM_BUILD_ROOT
echo '%defattr(-,root,root,0755)' > $RPM_BUILD_DIR/file.list.%{name}
echo '%docdir /usr/doc/kde' >> $RPM_BUILD_DIR/file.list.%{name}
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' >> $RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%post
if [ -x /usr/bin/update-menus ]; then
	/usr/bin/update-menus
fi

%postun
if [ "$1" = 0 ]; then
	if [ -x /usr/bin/update-menus ]; then
		/usr/bin/update-menus
	fi
fi

%files -f ../file.list.%{name}

%changelog
* Fri Mar 31 2000 Franois Pons <fpons@mandrakesoft.com> 1.1-3mdk
- updated Group.
- added menu entry.

* Thu Jan 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1-2mdk
- libtoolize --force.

* Mon Nov 22 1999 John Corey <jcorey@mandrakesoft.com>
- Rebuild with FHS-2.0 compliance
- v1.1 build

* Tue Jul 22 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- add french description

* Sat Jul 17 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Rewriting the spec file.
- Build release.


# end of file
